%define module	Apache-Session
%define name	perl-%{module}
%define epoch	2
%define version	1.81
%define release	%mkrel 1

Name:		%{name}
Epoch:		%{epoch}
Version:	%{version}
Release:	%{release}
Summary:	A persistence framework for session data
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}/
Source:		http://www.cpan.org/modules/by-module/Apache/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
Requires:	perl(Digest::MD5)
BuildRequires:	perl(DB_File)
BuildRequires:  perl(DBI)
BuildRequires:  perl(Digest::MD5)
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Test::Exception)
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Apache::Session is a persistence framework which is particularly useful
for tracking session data between httpd requests.  Apache::Session is
designed to work with Apache and mod_perl, but it should work under CGI
and other web servers, and it also works outside of a web server alto-
gether.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%defattr(-,root,root)
%doc INSTALL README
%{perl_vendorlib}/Apache
%{_mandir}/*/*

%changelog
* Thu Jun 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2:1.81-1mdv2007.0
- New version 1.81
- spec cleanup
- fix directory ownership

* Thu Apr 27 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.80-3mdk
- Fix SPEC according to Perl Policy
	- BuildRequires
	- URL && Source URL

* Mon Nov 07 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.80-2mdk
- Fix BuildRequires
- Fix Source
- %%mkrel

* Tue Oct 11 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2:1.80-1mdk
- New version 1.80
- Some spec fixes

* Wed May 19 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.6-1mdk
- new version
- set epoch = 2 (if not, 1.54 > 1.6)

* Thu Aug 07 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.54-6mdk
- rebuild for new perl

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.54-5mdk
- rebuild for new auto{prov,req}

* Tue Jan 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.54-4mdk
- better description & summary

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 1.54-3mdk
- rebuild for perl 5.8.0

* Mon Nov 26 2001 Stefan van der Eijk <stefan@eijk.nu> 1.54-2mdk
- fix BuildRequires

* Thu Nov 08 2001 Franois Pons <fpons@mandrakesoft.com> 1.54-1mdk
- removed patch as now integrated.
- 1.54.

* Fri Aug 31 2001 Franois Pons <fpons@mandrakesoft.com> 1.53-1mdk
- 1.53.
- removed explicit Distribution tag.
- updated license.
- created patch to use Digest::MD5 instead of obsoleted MD5 and
  fix test scripts.

* Tue Mar 13 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.03-3mdk
- BuildArch: noarch
- add docs
- rename spec file
- clean spec a bit
- run automated tests

* Sun Oct  1 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.03-2mdk
- call spec-helper before creating the file list and don't call it after.

* Tue Aug 08 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.03-1mdk
- Macroize package
